import request from '@/utils/request'

// 查询党员组织关系变更记录列表
export function listPartymemberpartmodifylog(query) {
  return request({
    url: '/town/partymemberpartmodifylog/list',
    method: 'get',
    params: query
  })
}

// 查询党员组织关系变更记录详细
export function getPartymemberpartmodifylog(id) {
  return request({
    url: '/town/partymemberpartmodifylog/' + id,
    method: 'get'
  })
}

// 新增党员组织关系变更记录
export function addPartymemberpartmodifylog(data) {
  return request({
    url: '/town/partymemberpartmodifylog',
    method: 'post',
    data: data
  })
}

// 修改党员组织关系变更记录
export function updatePartymemberpartmodifylog(data) {
  return request({
    url: '/town/partymemberpartmodifylog',
    method: 'put',
    data: data
  })
}

// 删除党员组织关系变更记录
export function delPartymemberpartmodifylog(id) {
  return request({
    url: '/town/partymemberpartmodifylog/' + id,
    method: 'delete'
  })
}
